%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Template.pm) perl(Template/Plugin/Filter.pm) perl(Test/Base.pm) perl(Test/More.pm) perl(Text/CharWidth.pm) perl(Text/VisualWidth.pm) perl(Text/VisualWidth/EUC_JP.pm) perl(Text/VisualWidth/UTF8.pm) perl(UNIVERSAL/require.pm) perl(YAML.pm) perl(base.pm) perl(encoding.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Template-Plugin-Filter-VisualTruncate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Filter Plugin for trimming text by the number of the columns of terminals and mobile phones.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BO/BOKUTIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Supported encodings on this module are UTF8, EUC-JP and system locale.

If your template was written in UTF8, then 

    [%% USE Filter.VisualTruncate 'utf8' %%]
    [%% row.comment | visual_truncate(20, '...') | html %%]

or EUC-JP

    [%% USE Filter.VisualTruncate 'euc-jp' %%]
    [%% row.comment | visual_truncate(20, '...') | html %%]

or system locale

    [%% USE Filter.VisualTruncate 'locale' %%]
    [%% row.comment | visual_truncate(20, '...') | html %%]

If parameters are not specified explicitly...

    [%% row.comment | visual_truncate() | html %%]

default values is used.

    [%% row.comment | visual_truncate(32, '...') | html %%]


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/T*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

